#ifndef __marker__
#define __marker__

#define mSOF0   0xFFC0
#define mSOF1   0xFFC1
#define mSOF2   0xFFC2
#define mSOF3   0xFFC3

#define mSOF5   0xFFC5
#define mSOF6   0xFFC6
#define mSOF7   0xFFC7

#define mSOF8   0xFFC8
#define mSOF9   0xFFC9
#define mSOF10  0xFFCA
#define mSOF11  0xFFCB

#define mSOF13  0xFFCD
#define mSOF14  0xFFCE
#define mSOF15  0xFFCF

//---------------------------------------------------------------------------//

#define mDHT    0xFFC4  //Define Huffman table

//---------------------------------------------------------------------------//

#define mDAC    0xFFCC  //Define arithmetic coding conditionings

//---------------------------------------------------------------------------//
#define mRST0   0xFFD0  // Restart with modulo 8 count "0"....
#define mRST7   0xFFD7  // Restart with modulo 8 count "7"
//---------------------------------------------------------------------------//

#define mSOI    0xFFD8 //Start of image
#define mEOI    0xFFD9 //End of image
#define mSOS    0xFFDA //Start of scan
#define mDQT    0xFFDB //Define quantization table
#define mDNL    0xFFDC //Define number of lines
#define mDRI    0xFFDD //Define restart interval
#define mDHP    0xFFDE //Define hierarchical progression
#define mEXP    0xFFDF //Expand reference components
#define mCOM    0xFFFE //Comment

#define mAPP0   0xFFE0 //Reservered for application segments....
#define mAPPF   0xFFEF //Reservered for application segments

#define mJPG0   0xFFF0 //Reserver for JPEG extensions....
#define mJPGD   0xFFFD //Reserver for JPEG extensions

//---------------------------------------------------------------------------//

#define mTEM    0xFF01
#define mRES2   0xFF02
#define mRES191 0xFFBF //Reserverd

//---------------------------------------------------------------------------//
#endif







